/*  GFC-Core: GTK+ Foundation Classes (Core Library)
 *  Copyright (C) 2002-2004 The GFC Development Team.
 *
 *  objectclass.hh - Private interface
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GFC_G_OBJECT_CLASS_HH
#define GFC_G_OBJECT_CLASS_HH

#ifndef __G_QUARK_H__
#include <glib/gquark.h>
#endif

namespace GFC {

namespace G {

class ObjectClass
{
public:	
	static void init(GObjectClass *g_class);

	static GObjectClass* get_parent_class(void *instance);

	static GType get_type();

	static GQuark quark();

	static void* create();

	static void notify_proxy(GObject *object, GParamSpec *pspec);
};

} // namespace G

} // namespace GFC

#endif // GFC_G_OBJECT_CLASS_HH

